using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_HuiYuan_JiFen_KouChu : System.Web.UI.Page
{
    private 访问 访问;
    private new int ID;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("扣除积分", "网站后台", "扣除积分", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        ID = Convert.ToInt32(Request.QueryString["ID"]);

        String 昵称;
        SqlCommand 语句 = new SqlCommand("SELECT [昵称] FROM [" + 程序.数据表前缀 + "社区_用户_用户] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
        {
            昵称 = Convert.ToString(读取["昵称"]);
            读取.Close();
        }
        else
        {
            读取.Close();
            throw new Exception("用户不存在");
        }

        NiChen.Text = Server.HtmlEncode(昵称);

        if (this.IsPostBack)
            扣除积分();
    }
    private void 扣除积分()
    {
        访问.验证权限("24");
        int 积分数 = Convert.ToInt32(JiFenShu.Text);
        bool 是否消息提醒 = XiaoXiTiXing_T.Checked;
        String 消息提醒内容 = TiShiNeiRong.Text;

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "社区_用户_用户] SET [积分]=[积分]-" + 积分数 + " WHERE [ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();

        if (是否消息提醒)
            new 消息(this.Context, 访问.连接).发送系统消息(ID, 消息提醒内容.Replace("$积分数$", 积分数.ToString()+程序.设置["单位名词_积分单位"]+程序.设置["单位名词_积分名词"]));

        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("扣除用户[" + NiChen.Text + "]的积分[" + 积分数 + "]点。", 访问.用户["昵称"].ToString());
        Response.Redirect("HuiYuan.aspx");
    }
}
